image: debian:11

cache:
  paths:
    - ~/.ivy2/

before_script:
  # Enable the usage of sources over https
  - apt-get update -yqq
  - apt-get install apt-transport-https -yqq

  # Install java
  - apt-get install openjdk-17-jdk gpg make runit -yqq

  # Add keyserver for SBT
  - echo "deb https://repo.scala-sbt.org/scalasbt/debian /" | tee -a /etc/apt/sources.list.d/sbt.list
  - mkdir -p /root/.gnupg
  - gpg --recv-keys --no-default-keyring --keyring gnupg-ring:/etc/apt/trusted.gpg.d/scalasbt-release.gpg --keyserver hkp://keyserver.ubuntu.com:80 2EE0EA64E40A89B84B2DF73499E82A75642AC823
  - chmod 644 /etc/apt/trusted.gpg.d/scalasbt-release.gpg

  # Install SBT
  - apt-get update -yqq
  - apt-get install sbt -yqq

  # Log the sbt version
  - sbt sbtVersion

build:
  script:
    - make clean all
  stage: build

test:
  script:
    - make test
  stage: test
  dependencies: ["build"]

# FIXME: Better caching / store artifacts
